//
//  MainTabBarController.swift
//  SWift-Demo
//
//  Created by 郭军 on 2017/4/24.
//  Copyright © 2017年 JG. All rights reserved.
//

import UIKit

class MainTabBarController: UITabBarController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        addAllChildViewController()
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}


extension MainTabBarController {
    
    func addAllChildViewController()  {
        
       //主页
        addChildVC(childVC: FindViewController(), title: "发现", image: "tab0", selectedImage: "tab0on")
        
        //关注
        addChildVC(childVC: FollowViewController(), title: "关注", image: "tab1", selectedImage: "tab1on")
        
        //我
        addChildVC(childVC: MeViewController(), title: "我的", image: "tab2", selectedImage: "tab2on")        
        
    }
    
    /**
     添加子视图控制器
     
     :param: childVC  NavigationViewController的根视图类型
     :param: title    tabbar item的文字
     :param: image    tabbar item的默认图片的名称
     :param: selectedImage tabbar item的选中状态下图片的名称
     */
    func addChildVC(childVC:UIViewController, title: String, image: String, selectedImage:String )  {
        
//        childVC.tabBarItem.title = title;
        childVC.title = title;
        childVC.tabBarItem.image = UIImage.init(named: image)
        childVC.tabBarItem.selectedImage = UIImage.init(named: selectedImage)?.withRenderingMode(UIImageRenderingMode.alwaysOriginal)
        //设置点击之后的颜色
        childVC.tabBarItem.setTitleTextAttributes([NSForegroundColorAttributeName : UIColor.orange], for: UIControlState.selected)
        
        //设置导航控制器
        let childNavigation = UINavigationController.init(rootViewController: childVC)
        
        addChildViewController(childNavigation)
    }

}
